import { AnimationBuilder, AnimationReferenceMetadata, AnimationStyleMetadata } from '@angular/animations';
import { ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AnimationHelperService {
    private readonly animationBuilder;
    private readonly hasLoadingElement;
    private readonly players;
    private readonly loadingElements;
    constructor(animationBuilder: AnimationBuilder);
    private elementRefEquals;
    private getPlayerWrapperIndex;
    private addPlayer;
    private getPlayers;
    private clearPlayers;
    private getLoadingElementIndex;
    private addLoadingElement;
    private getLoadingElement;
    private removeLoadingElement;
    isElementLoading(element: ElementRef | undefined): boolean;
    private runPlayer;
    private isAnimationPlayerDone;
    private tryRunMethodOnPlayer;
    animate(element: ElementRef | undefined, metadata: AnimationReferenceMetadata, destroyOnDone?: boolean, onDone?: () => void): void;
    tryCreateLoadingElement(element: ElementRef | undefined, loadingElement: ElementRef, classes: {
        loading: string;
        container: string;
    }, styles: {
        containerLoading: AnimationStyleMetadata;
        containerNotLoading: AnimationStyleMetadata;
    }, inTime: string, renderer: Renderer2, addLoadingClass: boolean): void;
    tryRemoveLoadingElement(element: ElementRef | undefined, classes: {
        container: string;
    }, styles: {
        loading: AnimationStyleMetadata;
        loadingContainer: AnimationStyleMetadata;
        notLoading: AnimationStyleMetadata;
    }, times: {
        outTime: string;
        loaderOutTime: string;
    }, renderer: Renderer2): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnimationHelperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AnimationHelperService>;
}
