import { ElementRef, OnDestroy, Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import { AnimationHelperService } from './animation-helper.service';
import { NgxBlockLoadingOptions } from './ngx-block-loading.options';
import * as i0 from "@angular/core";
export declare abstract class BaseLoadingDirective implements OnDestroy {
    protected element: ElementRef;
    protected readonly viewContainerRef: ViewContainerRef;
    protected readonly renderer: Renderer2;
    protected readonly options: NgxBlockLoadingOptions;
    protected readonly animationHelper: AnimationHelperService;
    inTime: string;
    outTime: string;
    loaderOutTime: string;
    containerHeight: string;
    loadingContainerClass: string;
    loadingClass: string;
    template?: TemplateRef<any>;
    private onDestroy$;
    private get loadingContainerStyle();
    private get loadingStyle();
    private get notLoadingContainerStyle();
    private get notLoadingStyle();
    abstract get elementToLoad(): ElementRef | undefined;
    constructor(element: ElementRef, viewContainerRef: ViewContainerRef, renderer: Renderer2, options: NgxBlockLoadingOptions, animationHelper: AnimationHelperService);
    ngOnDestroy(): void;
    start(): void;
    stop(): void;
    protected updateLoadingElement(isLoading: boolean): void;
    private getTemplateElement;
    private getLoadingElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseLoadingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseLoadingDirective, never, never, { "inTime": "inTime"; "outTime": "outTime"; "loaderOutTime": "loaderOutTime"; "containerHeight": "containerHeight"; "loadingContainerClass": "loadingContainerClass"; "loadingClass": "loadingClass"; "template": "template"; }, {}, never>;
}
